[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTabControl.CanChangePageIndex

CanChangePageIndex - determine whether it is permissible to change the index of the page.

## Declaration

Source position: comctrls.pp line 480

`public function TCustomTabControl.CanChangePageIndex: Boolean; virtual;`

## Function result

True if the value in PageIndex can be changed to make another page/tab become active.

## See also

TCustomTabControl.CanChange |  | Signals the OnChanging event handler prior to updates to PageIndex.
TCustomTabControl.PageIndex |  | Ordinal position for the selected page on the tabbed control.
TCustomTabControl.OnChanging |  | Event handler signalled prior to changing the active tab/page on the tabbed control.